camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré (JIRA) <j...@apache.org>
Subject [jira] [Commented] (CAMEL-4188) Cannot install camel-mail feature in Karaf 2.2.2 or 2.2.1
Date Thu, 07 Jul 2011 20:06:16 GMT

    [ https://issues.apache.org/jira/browse/CAMEL-4188?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13061548#comment-13061548
] 

Jean-Baptiste Onofré commented on CAMEL-4188:
---------------------------------------------

A simple workaround is to comment javax.activation in Karaf etc/jre.properties:

# Standard package set.  Note that:
#   - javax.transaction* is exported with a mandatory attribute
jre-1.6= \
 javax.accessibility, \
 #javax.activation, \
 javax.activity, \
 javax.annotation, \
 javax.annotation.processing, \
 javax.crypto, \

I'm gonna add a jre.properties sample in Camel to track this.

> Cannot install camel-mail feature in Karaf 2.2.2 or 2.2.1
> ---------------------------------------------------------
>
>                 Key: CAMEL-4188
>                 URL: https://issues.apache.org/jira/browse/CAMEL-4188
>             Project: Camel
>          Issue Type: Bug
>          Components: camel-mail
>    Affects Versions: 2.7.2
>         Environment: Java SDK 1.6, Apache Karaf 2.2.2 or 2.2.1 using felix container.
>            Reporter: Mike Gardiner
>            Assignee: Jean-Baptiste Onofré
>            Priority: Critical
>             Fix For: 2.7.3, 2.8.0
>
>
> Attempting to install the camel-mail feature results in the following error:
> Error executing command: Unable to resolve module org.apache.camel.camel-mail [73.0]
because it is exposed to package 'javax.activation' from org.apache.felix.framework [0] and
org.apache.servicemix.specs.activation-api-1.1 [66.0] via two dependency chains.
> Chain 1:
>   org.apache.camel.camel-mail [73.0]
>     import: (package=javax.activation)
>      |
>     export: package=javax.activation
>   org.apache.felix.framework [0]
> Chain 2:
>   org.apache.camel.camel-mail [73.0]
>     import: (&(package=org.apache.camel.impl)(version>=2.7.0)(!(version>=2.8.0)))
>      |
>     export: package=org.apache.camel.impl; uses:=javax.xml.bind.annotation
>   org.apache.camel.camel-core [71.0]
>     import: (package=javax.xml.bind.annotation)
>      |
>     export: package=javax.xml.bind.annotation; uses:=javax.activation
>   org.apache.servicemix.specs.jaxb-api-2.2 [67.0]
>     import: (&(package=javax.activation)(version>=1.1.0))
>      |
>     export: package=javax.activation
>   org.apache.servicemix.specs.activation-api-1.1 [66.0]
> After forcing the install with features:install -c camel-mail the camel-mail bundle refuses
to start because of the error indicated above.  It looks like there's several exports of the
javax.activation package which causes the error.

--
This message is automatically generated by JIRA.
For more information on JIRA, see: http://www.atlassian.com/software/jira

       

Mime
View raw message